Package com.independentsoft.office.word

# Enum Class HighlightColor

java.lang.Object
java.lang.Enum<HighlightColor>
com.independentsoft.office.word.HighlightColor

All Implemented Interfaces:
  `Serializable`, `Comparable<HighlightColor>`, `Constable`

public enum HighlightColor extends Enum<HighlightColor>
The Enum HighlightColor.

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class java.lang.Enum

  `Enum.EnumDesc<E extends Enum<E>>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `BLACK`
  `BLUE`
  `CYAN`
  `DARK_BLUE`
  `DARK_CYAN`
  `DARK_GRAY`
  `DARK_GREEN`
  `DARK_MAGENTA`
  `DARK_RED`
  `DARK_YELLOW`
  `GREEN`
  `LIGHT_GRAY`
  `MAGENTA`
  `NONE`
  `RED`
  `WHITE`
  `YELLOW`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static HighlightColor`
  `valueOf​(String name)`
  Returns the enum constant of this class with the specified name.
  `static HighlightColor[]`
  `values()`
  Returns an array containing the constants of this enum class, in the order they are declared.

  ### Methods inherited from class java.lang.Enum

  `clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### BLACK

    public static final HighlightColor BLACK

  - ### BLUE

    public static final HighlightColor BLUE

  - ### CYAN

    public static final HighlightColor CYAN

  - ### GREEN

    public static final HighlightColor GREEN

  - ### MAGENTA

    public static final HighlightColor MAGENTA

  - ### RED

    public static final HighlightColor RED

  - ### YELLOW

    public static final HighlightColor YELLOW

  - ### WHITE

    public static final HighlightColor WHITE

  - ### DARK_BLUE

    public static final HighlightColor DARK_BLUE

  - ### DARK_CYAN

    public static final HighlightColor DARK_CYAN

  - ### DARK_GREEN

    public static final HighlightColor DARK_GREEN

  - ### DARK_MAGENTA

    public static final HighlightColor DARK_MAGENTA

  - ### DARK_RED

    public static final HighlightColor DARK_RED

  - ### DARK_YELLOW

    public static final HighlightColor DARK_YELLOW

  - ### DARK_GRAY

    public static final HighlightColor DARK_GRAY

  - ### LIGHT_GRAY

    public static final HighlightColor LIGHT_GRAY

  - ### NONE

    public static final HighlightColor NONE

- ## Method Details

  - ### values

    public static HighlightColor[] values()
    Returns an array containing the constants of this enum class, in the order they are declared.
    Returns:
      an array containing the constants of this enum class, in the order they are declared

  - ### valueOf

    public static HighlightColor valueOf​(String name)
    Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum class has no constant with the specified name
      `NullPointerException` - if the argument is null